Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.basex.query.ft
Class FTMildNot

    java.lang.Object
      org.basex.query.ExprInfo
          org.basex.query.expr.Expr
              org.basex.query.ft.FTExpr
                  org.basex.query.ft.FTMildNot

    public final class FTMildNot

extends FTExpr

FTMildnot expression.

Author:
  Workgroup DBIS, University of Konstanz 2005-09, ISC License, Christian Gruen

Field Summary

Fields inherited from class org.basex.query.ft.FTExpr
`expr`

Constructor Summary
`FTMildNot(FTExpr... l)` Constructor.

Method Summary
`void` | `indexAccessible(QueryContext ctx, IndexContext ic)` Checks if an index can be used for query evaluation.
`FTExpr` | `indexEquivalent(QueryContext ctx, IndexContext ic)` Returns an equivalent expression which accesses an index structure.
`FTNodeIter` | `iter(QueryContext ctx)` Evaluates the expression and returns an iterator on the resulting items.
`java.lang.String` | `toString()`

Methods inherited from class org.basex.query.ft.FTExpr
`color, comp, plan, remove, returned, uses`

Methods inherited from class org.basex.query.expr.Expr
`addText, atomic, checkCtx, checkDbl, checkItr, duplicates, e, ebv, i, removable, sameAs, size, test`

Methods inherited from class org.basex.query.ExprInfo
`info, name`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FTMildNot

    public FTMildNot(FTExpr... l)
              throws QueryException

  Constructor.

  Parameters:
    `l` - expression list
  Throws:
    `QueryException` - query exception

Method Detail

### iter

    public FTNodeIter iter(QueryContext ctx)
                    throws QueryException

  Description copied from class: `Expr`
  Evaluates the expression and returns an iterator on the resulting items. If this method is not overwritten, `Expr.atomic(org.basex.query.QueryContext)` must be implemented.

  Specified by:
    `iter` in class `FTExpr`
  Parameters:
    `ctx` - query context
  Returns:
    resulting item
  Throws:
    `QueryException` - evaluation exception

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in class `ExprInfo`

### indexAccessible

    public void indexAccessible(QueryContext ctx,
                                IndexContext ic)
                         throws QueryException

  Description copied from class: `Expr`
  Checks if an index can be used for query evaluation.

  Overrides:
    `indexAccessible` in class `Expr`
  Parameters:
    `ctx` - query context
    `ic` - index context
  Throws:
    `QueryException` - Exception

### indexEquivalent

    public FTExpr indexEquivalent(QueryContext ctx,
                                  IndexContext ic)
                           throws QueryException

  Description copied from class: `Expr`
  Returns an equivalent expression which accesses an index structure. Must be called if `Expr.indexAccessible(org.basex.query.QueryContext, org.basex.query.IndexContext)` is implemented for an expression.

  Overrides:
    `indexEquivalent` in class `FTExpr`
  Parameters:
    `ctx` - query context
    `ic` - index context
  Returns:
    Equivalent index-expression or null
  Throws:
    `QueryException` - Exception

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD